TIMEOUT(1)

NAZWA
timeout - uruchamia polecenie z limitem czasu

SKŁADNIA
timeout [OPCJA] CZAS-TRWANIA POLECENIE [ARGUMENTY]...
timeout [OPCJA]

OPIS

Uruchamia POLECENIE i zabija je, jeśli jest wciąż aktywne po danym CZASIE-TRWANIA.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

--preserve-status

    wychodzi z tym samym kodem zakończenia co POLECENIE, nawet jeśli

    polecenie się przeterminowało

--foreground

    Jeśli polecenie timeout nie jest uruchomione bezpośrednio w powłoce interaktywnej,

    pozwala POLECENIU czytać z TTY i otrzymywać sygnały TTY. W tym trybie, procesy potomne POLECENIA nie podlegają ograniczeniu czasu.

-k, --kill-after=CZAS-TRWANIA

    wysyła także sygnał KILL, jeśli POLECENIE wciąż działa

    po wysłaniu pierwszego sygnału

-s, --signal=SYGNAŁ

    określa sygnał wysłany po CZASIE-TRWANIA;

    SYGNAŁ może być nazwą (np. HUP) lub numerem. Listę sygnałów można otrzymać wykonując polecenie kill -l

-v, --verbose
    diagnose to stderr any signal sent upon timeout

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

DURATION is a floating point number with an optional suffix: 's' for seconds (the default), 'm' for minutes, 'h' for hours or 'd' for days. A duration of 0 disables the associated timeout.

Jeśli polecenie przekroczy podany czas i nie włączono opcji --preserve-status, program wychodzi z kodem zakończenia 124. W przeciwnym wypadku, kod wyjścia jest taki sam jak POLECENIA. Jeśli nie określono sygnału, po wyczerpaniu czasu wysyłany jest sygnał TERM. TERM zabija procesy, które nie blokują go ani nie przechwytują. Może być konieczne również użycie sygnału KILL (9), ponieważ nie może on zostać przechwycony. Wówczas kod zakończenia wyniesie 128+9 zamiast 124.

BŁĘDY
Część platform nie obsługuje obecnie czasów oczekiwania po roku 2038.

AUTOR
Napisane przez Padraiga Bradyego.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2020 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
kill(1)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/timeout>
lub lokalnie, za pomocą info '(coreutils) timeout invocation'

T◈UMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.